Which PG5 version is compatible with what operating system?

FAQ #100405

PG5 and Windows are both in continuous progress, so there may be incompatibilities between different versions. The table below gives an overview about the supported versions.

PG5 Version
Win '95
Win '98
Win ME
Win NT
Win 2k
Win XPVistaServer 2008
Windows 7
Windows
8
Windows
8.1
Windows
10
1.0.xxx
B or higher
Second Edition
Yes
SP5 or higher
Prof. SP4
No
No
 No
No
No
No

No

1.1.xxx
B or higher
Second Edition
Yes
SP5 or higher
Prof. SP4
No
No
 No
No
NoNo

No

1.2.xxx
B or higher
Second Edition
Yes
SP5 or higher
Prof. SP4
Yes
No
 No
No
No
No

No

1.3.xxx
B or higher
Second Edition
Yes
SP5 or higher
Prof. SP4
Yes
No
 No
No
No
NoNo
1.4.300
No
No
No
No
Prof. SP4
Yes
Yes*
 Yes*
Yes*, ***
Yes*, ***
No

No

2.0.150No
No 
No 
No 
No 
Yes (SP2,SP3)
Yes **
 Yes **
Yes **
Yes **
Yes **

No

2.1.xxxNo No No No No 
Yes (SP2,SP3) 
No
No
 
Yes **
 
Yes **
Yes **

No

2.1.430

No No No No No No NoNoYes **Yes **Yes **

Yes
2.2.100

No No No No No No

NoNoYes (SP1)YesYes

Yes


*) For further information regarding the compatibility of PG5 1.4 with Microsoft Windows Vista, Windows Server 2008 and Microsoft Windows 7/8 please refer to FAQ 100710.
**) Please refer to FAQ 101128 or 101195 for more information regarding the 64 bit version of Window Vista and Windows 7/8
***) The BACnet Configurator from PG5 1.4 is not compatible with the 64bit version of Windows7/8

Categories

PG5 1.x

PG5 2.0

PG5 2.1

Last update: 26.04.2016 14:52

First release: 09.08.2005 15:02

Views: 30321

The requested software / document is no longer marketed by Saia-Burgess Controls AG and without technical support. It is an older software version which can be operated only on certain now no longer commercially available products.

Download